跳转到主要内容
运维管理/自定义属性相关接口
PUTCustom Attribute起始版本 4.10.16同步需要认证

更新自定义属性键

更新自定义属性键

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    自定义属性键 UUID

请求体字段

  • updateresourceattributekeyObject必填

    updateresourceattributekey 请求体结构

    • nameString

      键名称

    • descriptionString

      资源的详细描述

    • resourceTypesList

      该属性支持的资源类型列表

    • createConstraintsList

      新创建的限制

    • updateConstraintsList

      更新的限制

    • deleteConstraintIdsList

      删除的限制的 ID 列表

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    更新是否成功

  • inventoryResourceAttributeKeyInventory必填

    详情参考inventory

    • uuidString必填

      自定义属性键 UUID

    • nameString必填

      自定义属性键名称

    • descriptionString必填

      资源的详细描述

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

  • errorErrorCode必填

    详情参考error

    • odeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

PUT/zstack/v1/resource-attributes/{uuid}/actions

/zstack/v1/resource-attributes/{uuid}/actions

操作 ID

UpdateResourceAttributeKey

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/resource-attributes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateresourceattributekey":{"name":"<name>","description":"<description>","resourceTypes":["<resourceTypes>"],"createConstraints":["<createConstraints>"],"updateConstraints":["<updateConstraints>"],"deleteConstraintIds":["<deleteConstraintIds>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "ff03a2b491023030bf58b1b35ea9cd00", "name": "OperationsPersonnel", "description": "Kinny", "resourceTypes": [ "VmInstanceVO" ], "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM", "constraints": [ { "id": 1, "keyUuid": "ff03a2b491023030bf58b1b35ea9cd00", "type": "option", "parameter": "Kinny", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史